## osrframework 0.20.1

=== requirements.txt ===
setuptools
bs4
requests
python-emailahoy3
pyexcel==0.2.1
pyexcel_ods==0.1.1
pyexcel_xls==0.1.0
pyexcel_xlsx==0.1.0
pyexcel_io==0.1.0
pyexcel_text==0.2.0
tweepy
networkx
decorator
validate_email
tabulate
oauthlib>=1.0.0
python-whois
pyyaml
colorama
configparser
cfscrape
pip>=19.0.0

=== debian/changelog ===
osrframework (0.20.1-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:13:08 +0200

osrframework (0.20.1-0kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Ben Wilson ]
  * Update email address

  [ Steev Klimaszewski ]
  * Remove invalid upstream metadata

  [ Sophie Brun ]
  * Fix autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 23 Aug 2023 09:14:25 +0200

osrframework (0.20.1-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 0.20.1
  * Switch to Python 3
  * Update debian/copyright
  * Use debhelper-compat 12
  * Bump Standards-Version to 4.4.1
  * Refresh patches
  * Add a patch to remove unused logger function
  * Fix issue with renaming getConfigPath to get_config_path
  * Add a patch to remove useless requirements
  * Add a patch to remove upgrade option

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 Jan 2020 15:28:18 +0100

osrframework (0.18.8-0kali1) kali-dev; urgency=medium

  * New upstream version 0.18.8
  * Drop useless files in debian/patches
  * Refresh patches and add a patch to use bs4
  * Bump Standards-Version
  * Add python-cfscrape as depends

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 18 Oct 2018 10:15:35 +0200

osrframework (0.18.0-0kali2) kali-dev; urgency=medium

  * Update patch fixing alias_generator: use upstream patch

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 06 Feb 2018 16:00:33 +0100

osrframework (0.18.0-0kali1) kali-dev; urgency=medium

  * Import new upstream release (Closes 4469)
  * Update patches and installation: upstream created separated projects for
    osrframework_server, osrframework_maltego and osrframework_console.

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 24 Jan 2018 09:35:54 +0100

osrframework (0.17.2-0kali1) kali-dev; urgency=medium

  * Initial release (Closes: 3042)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 25 Aug 2017 14:09:17 +0200

=== debian/control ===
Source: osrframework
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools
Standards-Version: 4.6.2
Homepage: https://github.com/i3visio/osrframework

Package: osrframework
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Open Sources Research Framework
 This package contains a set of libraries developed by i3visio to perform Open
 Source Intelligence tasks. They include references to a bunch of different
 applications related to username checking, DNS lookups, information leaks
 research, deep web search, regular expressions extraction and many others.

## osrframework 0.20.5

=== requirements.txt ===
--- 
+++ 
@@ -19,4 +19,4 @@
 colorama
 configparser
 cfscrape
-pip>=19.0.0
+duckpy

=== debian/changelog ===
osrframework (0.20.5-0kali2) kali-dev; urgency=medium

  * Remove references to https://github.com/i3visio/osrframework
  * Switch to debhelper 13

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 06 Nov 2025 16:08:44 +0700

osrframework (0.20.5-0kali1) kali-dev; urgency=medium

  * New upstream version 0.20.5
  * Update debian/copyright
  * Refresh patches
  * Add patch to fix Python 3.12 SyntaxWarning invalid escape sequence
  * Add patch to fix usage of print function
  * Add patch to fix usage of pyexcel
  * Update Standards-Version (no change needed)

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 27 Aug 2024 14:04:53 +0700

osrframework (0.20.1-0kali3) kali-dev; urgency=medium

  * Remove the code using tweepy (obsolete package)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 27 Dec 2023 13:37:19 +0100

=== debian/control ===
Source: osrframework
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Sophie Brun <sophie@offensive-security.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.0
Homepage: https://pypi.org/project/osrframework/
Vcs-Git: https://gitlab.com/kalilinux/packages/osrframework.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/osrframework

Package: osrframework
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Open Sources Research Framework
 This package contains a set of libraries developed by i3visio to perform Open
 Source Intelligence tasks. They include references to a bunch of different
 applications related to username checking, DNS lookups, information leaks
 research, deep web search, regular expressions extraction and many others.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=osrframework

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs -XCHANGES -XINSTALL

=== debian/tests/control ===
Test-Command: usufy.py -h && mailfy.py -h
Restrictions: breaks-testbed, isolation-container, superficial, allow-stderr

=== debian/watch ===
version=4
# PyPI
opts="uversionmangle=s/a/~a/; s/b/~b/; s/rc/~rc/" \
 https://pypi.debian.net/osrframework/osrframework-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
